package com.auto.clicker.autoclicker.ui.activity.welcome;

import android.content.Intent;
import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;

public class LauncherActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        boolean agreed = getSharedPreferences("app_prefs", MODE_PRIVATE)
                .getBoolean("agreed_privacy", false);

        Intent intent = new Intent(this,
                agreed ? SplashActivity.class : AgreementActivity.class);
        startActivity(intent);
        finish();
    }
}